Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.agreement.owl
Class OwlKeyConfirmation

    java.lang.Object
      org.bouncycastle.crypto.agreement.owl.OwlKeyConfirmation

public class OwlKeyConfirmation
extends java.lang.Object

The payload sent/received during the explicit key confirmation stage of the protocol,

Both `OwlClient` and `OwlServer` create and send an instance of this payload to the other. The payload to send should be created via `OwlClient.initiateKeyConfirmation(BigInteger)` or `OwlServer.initiateKeyConfirmation(BigInteger)`.

Both `OwlClient` and `OwlServer` must also validate the payload received from the other. The received payload should be validated via `OwlClient.validateKeyConfirmation(OwlKeyConfirmation, BigInteger)` `OwlServer.validateKeyConfirmation(OwlKeyConfirmation, BigInteger)`

Constructor Summary
`OwlKeyConfirmation(java.lang.String id, java.math.BigInteger magTag)` Constructor of OwlKeyConfirmation

Method Summary
`java.lang.String` | `getId()` Get the identity of the sender
`java.math.BigInteger` | `getMacTag()` Get the MAC tag which serves as a key confirmation string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OwlKeyConfirmation

    public OwlKeyConfirmation(java.lang.String id,
                              java.math.BigInteger magTag)

  Constructor of OwlKeyConfirmation

Parameters:
  `id` - The identity of the sender
  `magTag` - The key confirmation string

Method Detail

### getId

    public java.lang.String getId()

  Get the identity of the sender

  Returns:
    The identity of the sender

### getMacTag

    public java.math.BigInteger getMacTag()

  Get the MAC tag which serves as a key confirmation string

  Returns:
    The MAC tag

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD